package com.tykj.dev.device.loss.service;

import com.tykj.dev.device.file.entity.FileRet;
import com.tykj.dev.device.loss.entity.domain.DeviceLoss;
import com.tykj.dev.device.loss.entity.vo.LossAuditvo;
import com.tykj.dev.device.loss.entity.vo.RetrieveAuditvo;
import com.tykj.dev.device.user.subject.entity.SecurityUser;

import java.util.List;
import java.util.Map;

/**
 * @author zjm
 * @version 1.0.0
 * @ClassName LossBillService.java
 * @Description TODO
 * @createTime 2021年01月30日 11:33:00
 */
public interface LossBillService {
    /**
     * 发起丢失
     */
   void initiateLoss(DeviceLoss deviceLoss, SecurityUser securityUser);

    /**
     *上级审核
     */
    void superiorAuditLoss(LossAuditvo lossAuditvo);


    /**
     * 找回装备
     */
    void initiateRetrieve(DeviceLoss deviceLoss,SecurityUser securityUser);

    /**
     * 找回装备 审核
     */
    void superiorAuditRetrieve(RetrieveAuditvo retrieveAuditvo);

    Map<String, List<FileRet>> findTaskIdToFileMap(Integer taskId);
}
